(function() {
    'use strict';

   // var FastClick;

    angular.module('app', [
            'ui.router',
            'ngAnimate',

            //foundation
            'foundation',
            'foundation.templates',
            'foundation.dynamicRouting',
            'foundation.dynamicRouting.animations'
        ])
        .config(config)
        .run(run)
    ;

    config.$inject = ['$urlRouterProvider', '$locationProvider'];

    function config($urlProvider, $locationProvider) {
        $urlProvider.otherwise('/');

        $locationProvider.html5Mode({
            enabled: false,
            requireBase: false
        });

        $locationProvider.hashPrefix('!');
    }


    function run() {
        FastClick.attach(document.body);
    }

})();
